> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update reputation check frequency

> Update how often reputation data is automatically refreshed.

**Note:** The enterprise must have `approved` reputation settings. Updating frequency on `pending` or `rejected` settings will return an error.

**Available Frequencies:**
- `business_daily` — Monday–Friday
- `daily` — Every day including weekends
- `weekly` — Once per week
- `biweekly` — Once every two weeks
- `monthly` — Once per month
- `never` — Manual refresh only (no automatic checks)



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/number-reputation/settings.yml patch /enterprises/{enterprise_id}/reputation/frequency
openapi: 3.1.0
info:
  title: Telnyx Number Reputation Settings API
  version: 2.0.0
  description: >-
    Enable, configure, and manage Number Reputation monitoring for your
    enterprise. Control auto-refresh frequency and manage the reputation
    monitoring lifecycle.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /enterprises/{enterprise_id}/reputation/frequency:
    patch:
      tags:
        - Number Reputation Settings
      summary: Update reputation check frequency
      description: >-
        Update how often reputation data is automatically refreshed.


        **Note:** The enterprise must have `approved` reputation settings.
        Updating frequency on `pending` or `rejected` settings will return an
        error.


        **Available Frequencies:**

        - `business_daily` — Monday–Friday

        - `daily` — Every day including weekends

        - `weekly` — Once per week

        - `biweekly` — Once every two weeks

        - `monthly` — Once per month

        - `never` — Manual refresh only (no automatic checks)
      operationId: UpdateReputationFrequency
      parameters:
        - $ref: '#/components/parameters/EnterpriseId'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseReputationUpdateFrequency'
      responses:
        '200':
          description: Reputation frequency updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterpriseReputationPublicWrapped'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.enterprises.reputation.updateFrequency(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
              { check_frequency: 'business_daily' },
            );


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.enterprises.reputation.update_frequency(
                enterprise_id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                check_frequency="business_daily",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Enterprises.Reputation.UpdateFrequency(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.EnterpriseReputationUpdateFrequencyParams{\n\t\t\tCheckFrequency: telnyx.EnterpriseReputationUpdateFrequencyParamsCheckFrequencyBusinessDaily,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyParams;

            import
            com.telnyx.sdk.models.enterprises.reputation.ReputationUpdateFrequencyResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ReputationUpdateFrequencyParams params = ReputationUpdateFrequencyParams.builder()
                        .enterpriseId("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .checkFrequency(ReputationUpdateFrequencyParams.CheckFrequency.BUSINESS_DAILY)
                        .build();
                    ReputationUpdateFrequencyResponse response = client.enterprises().reputation().updateFrequency(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.enterprises.reputation.update_frequency(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              check_frequency: :business_daily
            )

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->enterprises->reputation->updateFrequency(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58', checkFrequency: 'business_daily'
              );

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx enterprises:reputation update-frequency \
              --api-key 'My API Key' \
              --enterprise-id 6a09cdc3-8948-47f0-aa62-74ac943d6c58 \
              --check-frequency business_daily
components:
  parameters:
    EnterpriseId:
      name: enterprise_id
      in: path
      required: true
      description: Unique identifier of the enterprise (UUID)
      schema:
        type: string
        format: uuid
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  schemas:
    EnterpriseReputationUpdateFrequency:
      type: object
      required:
        - check_frequency
      properties:
        check_frequency:
          type: string
          enum:
            - business_daily
            - daily
            - weekly
            - biweekly
            - monthly
            - never
          description: New frequency for refreshing reputation data
    EnterpriseReputationPublicWrapped:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/EnterpriseReputationPublic'
    EnterpriseReputationPublic:
      type: object
      properties:
        enterprise_id:
          type: string
          format: uuid
          description: ID of the associated enterprise
          example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
            - deleted
          description: Current enrollment status
        check_frequency:
          type: string
          enum:
            - business_daily
            - daily
            - weekly
            - biweekly
            - monthly
            - never
          description: Frequency for refreshing reputation data
        loa_document_id:
          type: string
          nullable: true
          description: ID of the signed LOA document
        rejection_reasons:
          type: array
          nullable: true
          items:
            type: string
          description: Reasons for rejection (present when status is rejected)
        created_at:
          type: string
          format: date-time
          description: When the reputation settings were created
        updated_at:
          type: string
          format: date-time
          description: When the reputation settings were last updated
    branded-calling_ErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/TelnyxError'
    TelnyxError:
      type: object
      properties:
        code:
          type: string
          description: Telnyx error code
          example: '10015'
        title:
          type: string
          description: Short error title
          example: Bad Request
        detail:
          type: string
          description: Human-readable error detail
          example: User has already agreed to Terms of Service version v1.0.0
        meta:
          type: object
          properties:
            url:
              type: string
              format: uri
              description: Link to error documentation
        source:
          type: object
          description: Reference to the field that caused the error
          properties:
            pointer:
              type: string
              description: JSON pointer (RFC6901) to the field that caused the error
              example: /body/organization_type
      required:
        - code
        - title
  responses:
    BadRequest:
      description: Bad request — invalid input or validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    Unauthorized:
      description: Unauthorized — missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/branded-calling_ErrorResponse'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````